
# TODO
# - add a mod_python package
# - add a cgi package

%define zope_product_path %{_prefix}/lib/zope/lib/python/Products/

Summary: A simple-to-use issue-tracking system with several interfaces
Name: roundup
Version: 1.4.9
Release: %mkrel 1
Source0: http://cheeseshop.python.org/packages/source/r/roundup/%{name}-%{version}.tar.gz
# service
Source1: roundup
# system conf
Source2: roundup-server.conf
# apache conf
Source3: roundup.conf
# allow to have backends in different packages
Patch0: roundup-backend.patch
License: ZPL
Group: Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://roundup.sourceforge.net/
Requires: python
BuildRequires: python-devel
BuildArch: noarch

%description
Roundup is a simple-to-use and -install issue-tracking system with
command-line, web and e-mail interfaces. It is based on the winning design
from Ka-Ping Yee in the Software Carpentry "Track" design competition.

Roundup has been deployed for:

 - bug tracking and TODO list management (the classic installation)
 - customer help desk support (with a wizard for the phone answerers, linking
   to networking, system and development issue trackers)
 - issue management for IETF working groups
 - sales lead tracking
 - conference paper submission and double-blind referee management
 - weblogging (well, almost :) 

...and so on. It's been designed with flexibility in mind - it's not just
another bug tracker. Roundup ships with a demo tracker to play with; just
run "roundup-demo" and load up the URL it prints out!

If you're upgrading from an older version of Roundup you *must* follow
the "Software Upgrade" guidelines given in the maintenance documentation.


%package mysql
Summary: MySQL backend for roundup
Group: Networking/WWW
Requires: %{name} = %{version}
Requires: MySQL-python

%description mysql
Mysql backend for roundup


%package postgresql
Summary: Postgresql backend for roundup
Group: Networking/WWW
Requires: %{name} = %{version}
Requires: python-psycopg

%description postgresql
Postgresql backen for roundup


%package sqlite
Summary: Sqlite backend for roundup
Group: Networking/WWW
Requires: %{name} = %{version}
Requires: python-sqlite

%description sqlite
Sqlite backend for roundup

# %package -n zope-ZRoundup
# Summary: Zope frontend for roundup
# Group: Networking/WWW
# Requires: zope
# Requires: %{name} = %{version}
# 
# %description -n zope-ZRoundup
# Zope frontend for roundup


%package standalone
Summary: Roundup stand-alone service
Group: Networking/WWW
Requires: %{name} = %{version}

%description standalone
Roundup stand-alone service.
If apache-mod_proxy is installed, all the requests
to /roundup will be redirected to the roundup
stand-alone server.


%prep
%setup -q
#%patch0

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --prefix=%{_prefix}

# install zope product
# mkdir -p $RPM_BUILD_ROOT/%{zope_product_path}
# cp -a frontends/ZRoundup/ $RPM_BUILD_ROOT/%{zope_product_path}

# isntall the stand-alone service
mkdir -p $RPM_BUILD_ROOT/%{_initrddir} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/webapps.d/ 
install -m 700 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/webapps.d/
mkdir -p $RPM_BUILD_ROOT/var/lib/roundup

%clean
rm -rf $RPM_BUILD_ROOT

%post standalone
%_pre_useradd roundup /var/lib/roundup /bin/false
%_post_service %name

%preun standalone
%_preun_service %name


%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{py_puresitedir}/roundup
%{py_puresitedir}/roundup/*.py
%{py_puresitedir}/roundup/*.pyc
%{py_puresitedir}/roundup/backends/blobfiles.py*
%{py_puresitedir}/roundup/backends/indexer_dbm.py*
%{py_puresitedir}/roundup/backends/indexer_rdbms.py*
%{py_puresitedir}/roundup/backends/__init__.py*
%{py_puresitedir}/roundup/backends/locking.py*
%{py_puresitedir}/roundup/backends/portalocker.py*
%{py_puresitedir}/roundup/backends/rdbms_common.py*
%{py_puresitedir}/roundup/backends/sessions_dbm.py*
%{py_puresitedir}/roundup/backends/sessions_rdbms.py*
%{py_puresitedir}/roundup/backends/back_anydbm.py*
%{py_puresitedir}/roundup/backends/back_tsearch2.py*
%{py_puresitedir}/roundup/backends/indexer_common.py*
%{py_puresitedir}/roundup/backends/indexer_xapian.py*
%{py_puresitedir}/roundup/backends/tsearch2_setup.py*
%dir %{py_puresitedir}/roundup/anypy
%{py_puresitedir}/roundup/anypy/*.py*
%{py_puresitedir}/roundup/cgi/
%{py_puresitedir}/roundup/scripts/
%{py_puresitedir}/%{name}-*.egg-info
%{_datadir}/roundup
%{_mandir}/man*/*
%{_datadir}/locale/*/LC_MESSAGES/*
%doc doc/* 

%files mysql
%{py_puresitedir}/roundup/backends/back_mysql.py*

%files postgresql
%{py_puresitedir}/roundup/backends/back_postgresql.py*

%files sqlite
%{py_puresitedir}/roundup/backends/back_sqlite.py*

# %files -n zope-ZRoundup
# %{zope_product_path}

%files standalone
%config(noreplace) %{_initrddir}/roundup
%config(noreplace) %{_sysconfdir}/roundup-server.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/roundup.conf
%dir /var/lib/roundup





%changelog
* Sat Aug 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.9-1mdv2010.0
+ Revision: 416603
- Update to new version 1.4.9

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.8-1mdv2009.1
+ Revision: 360250
- Update to new version 1.4.8
- Metakit back-end does not exist anymore in roundup 1.4

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 1.3.3-7mdv2009.1
+ Revision: 326004
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.3-6mdv2009.0
+ Revision: 260279
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.3-5mdv2009.0
+ Revision: 251352
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.3-3mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-3mdv2008.0
+ Revision: 90253
- rebuild

* Mon Sep 10 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.3-2mdv2008.0
+ Revision: 84027
- disable zope product


* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.3-1mdv2007.0
+ Revision: 124890
- 1.3.3

* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.2-1mdv2007.1
+ Revision: 100337
- 1.3.2

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 88993
- 1.3.1
- 1.2.1

* Thu Aug 10 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.1.2-2mdv2007.0
+ Revision: 55145
- rebuild
- Import roundup

* Thu May 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.2-1mdk
- New release 1.1.2
- drop patch 1 (merged upstream)

* Wed Apr 19 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-3mdk
- patch1 fix sender adress in the mail sent to complete the  registration

* Thu Apr 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-2mdk
- fix python-sqlite required version
- add detectors in doc

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- fix changelog

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-1mdk
- 1.1.0

* Tue Jan 31 2006 Michael Scherer <misc@mandriva.org> 0.8.5-5mdk
- use new python macro

* Sat Nov 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.5-4mdk
- add standalone package
- enhance description
- add a TODO list
- Patch0: backends can be in several packages

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5-3mdk
- Fix BuildRequires

* Fri Nov 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.5-2mdk
- noarch
- spec cleanup
- complete description
- add docs

* Thu Nov 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.5-1mdk
- first package

